<?php  // $Id: convertMarkers.php,v 1.1.2.1 2009/12/28 19:12:15 diml Exp $

/// This page is an utility that converts old marker prototype syntax in newer one
/*
Use this page for massive conversion of old style (prototype) markers to coursetracking
module IMG style markers. Only performs massive fix on "alltext" resource contents.

SHOULD NOT BE PART OF A RELEASE DISTRIBUTION.

rs param may be used to constraint the resources fixed (give a coma list of resource ids).
*/

    require_once('../../config.php');

    $resources = optional_param('rs', '', PARAM_ALPHA);
    $courses = optional_param('cs', '', PARAM_ALPHA);
    
    
    $resourceConstraint = '';
    if ($resources != ''){
        $resources = str_replace(",", "','", $resources);
        $resourceConstraint = "AND cm.id IN ('{$resources}')";
    }

    $courseConstraint = '';
    if ($courses != ''){
        $courses = str_replace(",", "','", $courses);
        $coursesConstraint = "AND cm.course IN ('{$courses}')";
    }

    $debug = 0;
    $destinationTracker = 1;
    // $pattern = "/<div id=\"mark:(.*?):(.*?):(.*?)\" .*?<\/div>/";
    $replace = "\$newTag = \"<img src=\\\"{\$CFG->wwwroot}/mod/coursetracking/tracker.gif\\\" alt=\\\"mark:{\$destinationTracker}:{\$markerId}:{\$delay}:{\$delayMode}\\\" class=\\\"teachertracker\\\" />\";";

    // ...get & converts...
    
    echo "getting resources ...<br>";
    $query = "
       SELECT
          *
       FROM
          mdl_resource as r, 
          mdl_course_modules as cm
       WHERE cm.instance = r.id  
       $resourceConstraint
       $coursesConstraint
    ";
    $results = mysql_query($query);
    if ($debug){
        echo $query . "<br>";
    }
    echo "found " . mysql_num_rows($results) . " records to convert<br>";
    while($aResult = mysql_fetch_object($results)){
        $updateToDo = false;
        $remainder = $aResult->alltext;
        $accumulator = '';
        while (preg_match("/(.*?)<div\s[^>]*?id=\"mark:(.*?):(.*?):(.*?)\"[^>]*?>.*?<\/div>(.*)$/sui", $remainder, $matches)){
            $updateToDo = true;
            echo "found pattern {$matches[2]}<br>";
            $prefix = $matches[1];
            $markerId = $matches[2];
            $delay = $matches[3];
            $delayMode = $matches[4];
            $remainder = $matches[5];
            $accumulator .= $prefix;
            eval($replace);
            $accumulator .= $newTag;

            // debugging
            if ($debug)
                echo $newTag . "<br>";
        }
        $accumulator .= $remainder;
        if (!$debug){
            $accumulator = mysql_escape_string($accumulator);
        }
        if ($updateToDo){
            $query = "
               UPDATE
                  mdl_resource
               SET
                  alltext = '$accumulator'
               WHERE
                  id = $aResult->instance
            ";
            if (!$debug){
                $result = mysql_query($query);
                echo "fixed record {{$aResult->instance}}<br>";
            }
            else
                echo $query . "<br>";
        }
        else{
            echo "no update needed for resource {{$aResult->instance}}<br>";
        }
    }       
echo "... finished";     
?>