<?php // $Id: index.php,v 1.1.2.1 2009/12/28 19:12:16 diml Exp $

    require_once("../../config.php");

    $id = required_param('id', PARAM_INT);   // course

    if (!empty($CFG->forcelogin)) {
        require_login();
    }

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }

    if ($course->category) {
        $navigation = "<a href=\"../../course/view.php?id={$course->id}\">$course->shortname</a> ->";
    }

    add_to_log($course->id, "coursetracking", "view all resources", "index.php?id=$course->id", "");

    $strresource = get_string("modulename", "coursetracking");
    $strresources = get_string("modulenameplural", "coursetracking");
    $strsummary = get_string("summary");
    $strlastmodified = get_string("lastmodified");

    print_header("$course->shortname: $strresources", "$course->fullname", "$navigation $strresources", 
                 "", "", true, "", navmenu($course));

    if (! $trackers = get_all_instances_in_course("coursetracking", $course)) {
        notice("There are no tracking instance", "../../course/view.php?id=$course->id");
        exit;
    }

    $currentsection = "";
    $options->para = false;
    foreach ($trackers as $tracker) {
        $printsection = '<span class="smallinfo">'.userdate($tracker->timemodified)."</span>";
        if (!empty($tracker->extra)) {
            $extra = urldecode($tracker->extra);
        } else {
            $extra = "";
        }
        if (!$tracker->visible) {      // Show dimmed if the mod is hidden
           $table->data[] = array ($printsection, 
                "<a class=\"dimmed\" $extra href=\"view.php?id=$tracker->coursemodule\">".format_string($tracker->name,true)."</a>",
                format_text($tracker->summary, FORMAT_MOODLE, $options) );

        } else {                        //Show normal if the mod is visible
           $table->data[] = array ($printsection, 
                "<a $extra href=\"view.php?id=$tracker->coursemodule\">".format_string($tracker->name,true)."</a>",
                format_text($tracker->description, FORMAT_MOODLE, $options) );
        }
    }

    echo "<br />";

    print_table($table);

    print_footer($course);
 
?>

