<?php  // $Id: setFilter.php,v 1.1.2.1 2009/12/28 19:12:17 diml Exp $

/// This page prints a particular instance of a coursetracker

    require_once('../../config.php');

    $timenow = time();
    
    $id = required_param('id', PARAM_INT);
    $view = optional_param('view', 'studenttrack', PARAM_CLEAN);
    $c = required_param('c', PARAM_ALPHA);
    $u = optional_param('u', '*', PARAM_CLEAN);
    $r = optional_param('r', '*', PARAM_CLEAN);
    $zoom = optional_param('zoom', '', PARAM_CLEAN);
    $offset = optional_param('offset', 10, PARAM_INT);
    
    // get some useful stuff...
    if (! $cm = get_record("course_modules", "id", $id)) {
        error("Course Module ID was incorrect");
    }
    if (! $course = get_record("course", "id", $cm->course)) {
        error("Course is misconfigured");
    }
    if (! $coursetracker = get_record("coursetracking", "id", $cm->instance)) {
        error("Course module is incorrect");
    }

    require_login($course->id, false, $cm);

    $strcoursetrackings = get_string("modulenameplural", "coursetracking");
    $strcoursetracking  = get_string("modulename", "coursetracking");
    $straction = '-> '.get_string('settingfilter', 'coursetracking');

    // ...display header...
    print_header_simple(format_string($coursetracker->name), "",
                 "<a href=\"index.php?id=$course->id\">$strcoursetrackings</a> ->
                  <a href=\"view.php?id=$cm->id\">".format_string($coursetracker->name,true)."</a> $straction",
                  "", "", true, update_module_button($cm->id, $course->id, $strcoursetracking), navmenu($course, $cm));

    // display screen title
    print_heading_with_help (get_string('filterheader','coursetracking'), 'filteringtracks', 'coursetracking'); 
?>
<script type="text/javascript">
function cancelthis(){
    document.setfilter.cmd.value = '';
    document.setfilter.submit();
} 
</script>
<center>
<form name="setfilter" action="<?php echo $CFG->wwwroot ?>/mod/coursetracking/view.php" method="POST">
<input type="hidden" name="id" value="<?php p($id) ?>">
<input type="hidden" name="c" value="<?php p($c) ?>">
<input type="hidden" name="u" value="<?php p($u) ?>">
<input type="hidden" name="r" value="<?php p($r) ?>">
<input type="hidden" name="zoom" value="<?php p($zoom) ?>">
<input type="hidden" name="offset" value="<?php p($offset) ?>">
<input type="hidden" name="cmd" value="changeFilterSettings">
<table width="80%">
    <tr>
        <td>
            <b><?php echo get_string('users', 'coursetracking'); ?>
        </td>
        <td>
            <b><?php echo get_string('resources', 'coursetracking'); ?>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <select name="ulist[]" multiple size="20">
<?php
    $selected = ($u == '*') ? "selected=\"selected\"" : '' ;
?>
               <option value="*" <?php echo $selected ?> ><?php echo get_string('allusers','coursetracking') ?></option>
<?php 
$users = get_course_users($course->id);

function usersort($a, $b){
    return strcmp($a->lastname . $a->firstname, $b->lastname . $a->firstname);
}

usort($users, 'usersort');

foreach($users as $aUser) {
    $selected = (preg_match('/\b' . $aUser->id . '\b/', $u)) ? "selected=\"selected\"" : '';
    echo "<option value=\"{$aUser->id}\" {$selected}>{$aUser->lastname} {$aUser->firstname}</option>\n"; 
}
?>
            </select>
        </td>
        <td valign="top">
            <select name="rlist[]" multiple size="20">
<?php
    $selected = ($r == '*') ? "selected=\"selected\"" : '' ;
?>
               <option value="*" <?php echo $selected ?> ><?php echo get_string('allresources','coursetracking') ?></option>
<?php 
$query = "
  SELECT
    cm.id as id,
    r.name
  FROM
    {$CFG->prefix}course_modules as cm,
    {$CFG->prefix}resource as r,
    {$CFG->prefix}modules as m
  WHERE
     cm.instance = r.id AND
     cm.course = {$course->id} AND
     cm.module = m.id AND
     m.name = 'resource'
  ORDER BY    
     cm.id
";
$resources = get_records_sql($query);
foreach(array_values($resources) as $aResource) {
    $selected = (preg_match('/\b' . $aResource->id . '\b/', $r)) ? "selected=\"selected\"" : '';
    echo "<option value=\"{$aResource->id}\" {$selected}>{$aResource->name}</option>\n"; 
}
?>
            </select>
        </td>
    </tr>
</table>
<input type="submit" name="filter" value="<?php echo get_string('setthisfilter', 'coursetracking') ?>">
<input type="button" name="cancel" value="<?php echo get_string('cancel') ?>" onclick="cancelthis();return true;">
</form>
</center>
<?php
?>