<?php  // $Id: viewme.php,v 1.1.2.1 2009/12/28 19:12:19 diml Exp $

// inherits all vars and parameters from view.php 

require_once('lib.php');
require_once('locallib.php');

//Default view to description
if (!empty($view)) {
	$_SESSION['currentpage'] = $view;
} elseif (empty($_SESSION['currentpage'])) {
	$_SESSION['currentpage'] = 'description';
}
$currentpage = $_SESSION['currentpage'];

add_to_log($course->id, 'coursetracking', 'viewMe', "view.php?id={$cm->id}", $coursetracker->id, $cm->id);

$tabs = array();
$tabs[0][] = new tabobject('description', "view.php?id={$cm->id}&view=description", get_string('description', 'coursetracking'));
$tabs[0][] = new tabobject('allresources', "view.php?id={$cm->id}&view=allresources", get_string('allresources', 'coursetracking'));

print_tabs($tabs, $_SESSION['currentpage'], NULL, NULL, false);

if ($currentpage == 'description') {
	print_simple_box(format_text($coursetracker->description, $coursetracker->format), 'center', '70%', '', 5, 'generalbox', 'intro');
}
elseif ($currentpage == 'allresources') {
?>
    <center>

    <span style="background-color : #202020">&nbsp&nbsp</span> <?php echo get_string('noneexpl', 'coursetracking') ?> -
    <span style="background-color : #c80000">&nbsp&nbsp</span> <?php echo get_string('veniexpl', 'coursetracking') ?> -
    <span style="background-color : #e6e600">&nbsp&nbsp</span> <?php echo get_string('vidiexpl', 'coursetracking') ?> -
    <span style="background-color : #00C800">&nbsp&nbsp</span> <?php echo get_string('viciexpl', 'coursetracking') ?>
    <span style="background-color : #f00000">&nbsp&nbsp</span> <?php echo get_string('victusexpl', 'coursetracking') ?>
    <br>
    <br>
<?php
    if (empty($CFG->coursetracking_outputtype)){
         $studentMap = "<img src=\"{$CFG->wwwroot}/mod/coursetracking/gdgenerators/studentMap.php?id={$cm->id}&u={$USER->id}\"><br>";
         $studentMap .= get_string('studentmapadvicestudents','coursetracking');
         print_simple_box($studentMap, 'center', '', '', '20');
    }
    else{
       // set assiduityCurve parameters
       $outputType = 'HTML';
       $r = '*';
       $u = $USER->id;
       $wasIncluded = 1;
       include "gdgenerators/studentMap.php";
       echo get_string('studentmapadvicestudents','coursetracking');
    }
}
else {
	error("Fatal Error: Unknown page: ".$currentpage."\n");
}
?>
